﻿<%@ WebHandler Language="C#" Class="disclaimerIndex" %>

using System;
using System.Web;
using System.Collections.Specialized;
using IDCSystem.Net.Utility;
using System.IO;


public class disclaimerIndex : IHttpHandler
{

    private NameValueCollection Form;
    private NameValueCollection QueryString;
    private HttpResponse Response;
    private string strPath = AppDomain.CurrentDomain.BaseDirectory + "\\files\\js_plugin\\disclaimer\\config.cs";
   
    public void ProcessRequest(HttpContext context)
    {
        context.Response.ContentType = "text/html";
      
        this.Form = context.Request.Form; 
        this.QueryString = context.Request.QueryString;
        this.Response = context.Response;
       

        var action = QueryString["action"];

        switch (action)
        {
            case "setconfig": SetConfig(); break;
            case "getconfig": GetConfig(); break;
           
            default:responseMsg("请求参数错误！");break;
        }
    }
    private void GetConfig()
    {
        string js = string.Empty;

        try
        {
            if (File.Exists(strPath))
            {
                using (FileStream fs = new FileStream(strPath, FileMode.OpenOrCreate))
                {
                    using (StreamReader sr = new StreamReader(fs))
                    {
                        js = sr.ReadToEnd();
                        sr.Close();
                    }
                }
            }
        }
        catch (Exception ex)
        {
            js = string.Format("-1|错误：{0}", ex.Message);
        }
        finally
        {
            if (string.IsNullOrEmpty(js)) { js = "-1|错误：没有设置页脚信息。"; }
        }
        this.responseMsg(js);
    }



    private void SetConfig()
    {
        var status = Form["status"] == null ? "1" : Form["status"].ToString();
        var content = Form["content"] == null ? string.Empty : Form["content"].ToString();

        if (string.IsNullOrEmpty(content)) { this.responseMsg("-1|无法获到数据，保存失败。"); return; }

        var strOutPut = string.Empty;
        try
        {
            if (!string.IsNullOrEmpty(content))
            {
                using (FileStream fs = new FileStream(strPath, FileMode.Create))
                {
                    using (StreamWriter sw = new StreamWriter(fs))
                    {
                        
                        sw.WriteLine(status+content);
                        sw.Flush();
                        sw.Close();
                    }
                }
            }
          
            strOutPut = "1";
        }
        catch (Exception ex)
        {

            strOutPut = ex.Message;
        }
        this.responseMsg(strOutPut);

    }

    private void responseMsg(string msg)
    {
        this.Response.Write(msg);
        this.Response.End();
    }


    public bool IsReusable
    {
        get
        {
            return false;
        }
    }

}